﻿; --------------------------------------------
;
;		Jadis, clone de "Jade" sur Amstrad CPC
;		Reprogrammé par Retro-Bruno en PureBasic
;		http://www.retro-bruno.com
;
; --------------------------------------------

IncludeFile "Player.pbi"

; INTRO --------------------------------------------------

If InitScreen() = #False
  error("Impossible d'utiliser le mode graphique 800x600 pixels en 32 bits !")
EndIf
SetWindowTitle(0, "Jadis Runner")
  
If FileSize(AppDir$ + "launcher.txt") > 0
	fic = ReadFile(#PB_Any, AppDir$ + "launcher.txt")
	savedGame$ = ReadString(fic)
	CloseFile(fic)
Else
	d = ExamineDirectory(#PB_Any, AppDir$,"")
	If d = 0
	  error("Impossible d'ouvrir le dossier courant !")
	Else
	  While NextDirectoryEntry(d)
	    If DirectoryEntryType(d) = #PB_DirectoryEntry_File
  		  t$ = DirectoryEntryName(d)
    		If t$ <> "." And t$ <> ".."
	    	  If LCase(Right(t$,4)) = ".jad"
		    	  savedGame$ = t$
		    	  Break  
		    	EndIf
		   EndIf
		 EndIf
	  Wend
  	FinishDirectory(d)
  	If savedgame$ = ""
  	  error("Impossible de trouver un fichier d'aventure .jad")
  	EndIf
	  savedGame$ = Left(savedGame$, Len(savedGame$) - 4)
	EndIf
EndIf

gameDir$ = ""
If FileSize(AppDir$ + gameDir$ + savedGame$ + ".jad") = -1
	gameDir$ = savedGame$ + "/"
	If FileSize(AppDir$ + gameDir$ + savedGame$ + ".jad") = -1
		gameDir$ = "Projets/" + savedGame$ + "/"
		If FileSize(AppDir$ + gameDir$ + savedGame$ + ".jad") = -1
			error("Impossible de trouver le fichier '.jad' !")
		EndIf
	EndIf
EndIf

If FileSize(AppDir$ + gameDir$ + "DroidSansMono.ttf") > 0
  LoadFont(0, AppDir$ + gameDir$ + "DroidSansMono.ttf", ScreenPoint2PixelsY(16))
Else
	error("La police 'DroidSansMono.ttf' est manquante dans le repertoire source !")
EndIf

If FileSize(AppDir$ + gameDir$ + "ecran.jpg") > 0
	useCustomScreen = #True
Else
	error("L'ecran du jeu 'ecran.jpg' est manquant dans le repertoire source !")
EndIf

savedGame$ = loadjad(savedGame$ + ".jad",gameDir$)
savedGame$ = Left(savedGame$, Len(savedGame$) - 4)
SetWindowTitle(0, savedGame$)

If gameDir$ <> ""
  SetCurrentDirectory(AppDir$ + gameDir$)
EndIf
menuTestGame()

CloseWindow(0)
End
; IDE Options = PureBasic 5.41 LTS (Windows - x64)
; CursorPosition = 76
; FirstLine = 40
; EnableUnicode
; EnableXP
; Executable = Runner.exe